<?php

if (!defined('ABSPATH')) exit;

final class fpb_defaults {
    public $settings = array(
        '__version__'=>'1.0.3',
        '__date__'=>'2014.4.1.',
        '__build__'=>'1005',
        '__status__'=>'stable',
        'Enable'=>'1',
        'FacebookUrl'=>'http://www.facebook.com/facebook',
        'TimeDelay'=>'1',
        'PopupEveryTime'=>'1',
    );

    function __construct() { }

    public function upgrade($old, $scope = 'settings') {
        $work = $this->settings;

        foreach ($work as $key => $value) {
            if (!isset($old[$key])) {
                $old[$key] = $value;
            }
        }

        $unset = array();
        foreach ($old as $key => $value) {
            if (!isset($work[$key])) {
                $unset[] = $key;
            }
        }

        if (!empty($unset)) {
            foreach ($unset as $key) {
                unset($old[$key]);
            }
        }

        foreach ($work as $key => $value) {
            if (substr($key, 0, 2) == '__') {
                $old[$key] = $value;
            }
        }

        return $old;
    }
}

?>